function result = sum12(x)

%sum over 12 periods (including the present)
n = length(x);
if n>=12
    result = zeros(n,1); 
    result(end-11:end,1) = NaN; 
    for i = 1:n-11
        result(i) = sum(x(i:i+11));
    end
else
    result = NaN(n,1);
end

end